package com.tanpu.feo.feojob.feign.shorter;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "shorturl", url = "${tanpu.feo-shorter.svc:}",  path = "/")
public interface ShorterFeign {
    @PostMapping(value = "/shorter/get")
    ShorterResp getShorter(@RequestParam("url") String url);
}
